package sdl

var AceTypeMap = map[int]string{
	0x00: "ACCESS_ALLOWED_ACE_TYPE",
	0x01: "ACCESS_DENIED_ACE_TYPE",
	0x02: "SYSTEM_AUDIT_ACE_TYPE",
	0x03: "SYSTEM_ALARM_ACE_TYPE",
	0x04: "ACCESS_ALLOWED_COMPOUND_ACE_TYPE",
	0x05: "ACCESS_ALLOWED_OBJECT_ACE_TYPE",
	0x06: "ACCESS_DENIED_OBJECT_ACE_TYPE",
	0x07: "SYSTEM_AUDIT_OBJECT_ACE_TYPE",
	0x08: "SYSTEM_ALARM_OBJECT_ACE_TYPE",
	0x09: "ACCESS_ALLOWED_CALLBACK_ACE_TYPE",
	0x0A: "ACCESS_DENIED_CALLBACK_ACE_TYPE",
	0x0B: "ACCESS_ALLOWED_CALLBACK_OBJECT_ACE_TYPE",
	0x0C: "ACCESS_DENIED_CALLBACK_OBJECT_ACE_TYPE",
	0x0D: "SYSTEM_AUDIT_CALLBACK_ACE_TYPE",
	0x0E: "SYSTEM_ALARM_CALLBACK_ACE_TYPE",
	0x0F: "SYSTEM_AUDIT_CALLBACK_OBJECT_ACE_TYPE",
	0x10: "SYSTEM_ALARM_CALLBACK_OBJECT_ACE_TYPE",
	0x11: "SYSTEM_MANDATORY_LABEL_ACE_TYPE",
	0x12: "SYSTEM_RESOURCE_ATTRIBUTE_ACE_TYPE",
	0x13: "SYSTEM_SCOPED_POLICY_ID_ACE_TYPE",
}

var AceFlagsMap = map[string]int{
	"CONTAINER_INHERIT_ACE":      0x02,
	"FAILED_ACCESS_ACE_FLAG":     0x80,
	"INHERIT_ONLY_ACE":           0x08,
	"INHERITED_ACE":              0x10,
	"NO_PROPAGATE_INHERIT_ACE":   0x04,
	"OBJECT_INHERIT_ACE":         0x01,
	"SUCCESSFUL_ACCESS_ACE_FLAG": 0x40,
}

var AccessRightsMap = map[string]int{
	"RIGHT_DS_CREATE_CHILD":   0x00000001,
	"RIGHT_DS_DELETE_CHILD":   0x00000002,
	"RIGHT_DS_LIST_CONTENTS":  0x00000004,
	"RIGHT_DS_SELF":           0x00000008,
	"RIGHT_DS_READ_PROPERTY":  0x00000010,
	"RIGHT_DS_WRITE_PROPERTY": 0x00000020,
	"RIGHT_DS_DELETE_TREE":    0x00000040,
	"RIGHT_DS_LIST_OBJECT":    0x00000080,
	"RIGHT_DS_CONTROL_ACCESS": 0x00000100,
	"RIGHT_DELETE":            0x00010000,
	"RIGHT_READ_CONTROL":      0x00020000,
	"RIGHT_WRITE_DACL":        0x00040000,
	"RIGHT_WRITE_OWNER":       0x00080000,
	"GENERIC_ALL":             0x000F01FF,
	"GENERIC_WRITE":           0x00020028,
	"GENERIC_READ":            0x00020094,
	"GENERIC_EXECUTE":         0x00020004,
}

var ObjectTypeMap = map[int]string{
	0x00000100: "ADS_RIGHT_DS_CONTROL_ACCESS",
	0x00000001: "ADS_RIGHT_DS_CREATE_CHILD",
	0x00000002: "ADS_RIGHT_DS_DELETE_CHILD",
	0x00000010: "ADS_RIGHT_DS_READ_PROP",
	0x00000020: "ADS_RIGHT_DS_WRITE_PROP",
	0x00000008: "ADS_RIGHT_DS_SELF",
}

var InheritedObjectTypeMap = map[int]string{
	0x00000000: "",
	0x00000001: "ACE_OBJECT_TYPE_PRESENT",
	0x00000002: "ACE_INHERITED_OBJECT_TYPE_PRESENT",
}
